Bug 641290 - [Indic] characters with dotted circle (U+ 25cc) delete two characters space, while it also deletes ASCII character also
[Indic] characters with dotted circle (U+ 25cc) delete two characters space, ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 06:05 EDT by A S Alam
Modified: 2013-07-02 21:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 00:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 655547 None None None Never

  None (edit)
Description A S Alam 2010-10-08 06:05:29 EDT
Description of problem:
Halant in Indic locale, deletes two spaces and it delete any ASCII character if any it before.

Version-Release number of selected component (if applicable):
pango-1.28.1-4.fc14.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. use a) (ਕ੍), b) (ਕ ੍) and c) ("੍) in gedit 
2. use backspace to delete from right side
3.
  
Actual results:
b) and c) deletes two spaces, " is deleted

Expected results:
b) and c) should work like a), it should delete last character, not next

Additional info:
1) bug exist with all Defendant vowel
2) works in Firefox, kwrite, openoffice.org
Comment 1 Matthias Clasen 2010-10-08 17:40:24 EDT
certainly not a gedit bug
Comment 2 Akira TAGOH 2011-06-13 02:25:47 EDT
Can you file a bug upstream please?
Comment 3 A S Alam 2011-07-29 00:55:28 EDT
upstream Bug: https://bugzilla.gnome.org/show_bug.cgi?id=655547

Note You need to log in before you can comment on or make changes to this bug.